:root {
  font-family: 'Token Sans';
}

.japanese {
  font-family: "Kosugi Maru";
  font-size: 0.875em;
  font-weight: normal;
}

aside {
  margin-bottom: 3rem;
}

.grid { /* diagram layout */
  display: grid;
  grid-template-columns: 1fr;
}

.grid ul, .grid h3 {
  grid-column: 1/-1;
  grid-gap: 0 2rem;
}

h4 { margin: 1rem 0 0;}

figure {
  margin-bottom: 5rem;
}

.figcaption {
  font-size: 0.875rem;
}

.repetition figcaption {
  margin: 0.5rem 0 0;
  padding-left: 1rem;
  display: grid;
  grid-template-columns: 1fr auto;
}

.repetition figcaption .senban {
  /* font-weight: bold; */
  font-size: 1.5em;
  grid-row: 1/3;
  place-self: center start;
}

.repetition figcaption .problem-number,
.repetition figcaption .page-number {
  font-size: 0.875rem;
  grid-column: 2;
  text-align: right;
}

img {
  width: 100%;
}

@media screen and (min-width: 600px) {
  .grid {
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
  }
  figcaption {
    padding-left: 0.625rem;
  }

}

@media print {
  body {
    font-size: 12pt;
    line-height: 1.5;
  }
  nav, ul { display: none; }
  .grid {
    grid-template-columns: 1fr 1fr
  }
}